
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>如何将Entity Framework 6.0(EF4)中的实体层剥离出来？运用于多层结构 / iVAN</title>

    <meta name="description" content="如何将Entity Framework 6.0(EF4)中的实体层剥离出来？运用于多层结构 问题描述 问题是这样的我使用了EntityFramework4.0来直接生成数据库操作同时我将项目进行了3层的划分分为表示层-Web业务逻辑层-BLL数据访问层-DAL模型层-Model但是有个问题,模型层是EntityFramework4.0直接生成的,也就是直接耦合在了DAL层如果Web需要访问模型层,就只有引用DAL,显然这个就不合理了但如如果将模型层从DAL层拆出来,也不妥,因为模型层是EF4直接生成的,如果拆出来,后期数据库有了变化,没法使用自动生成工具更新开始考虑使用partial类">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">如何将Entity Framework 6.0(EF4)中的实体层剥离出来？运用于多层结构</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>问题描述</h2>
<p>问题是这样的我使用了EntityFramework4.0来直接生成数据库操作同时我将项目进行了3层的划分分为表示层-Web业务逻辑层-BLL数据访问层-DAL模型层-Model但是有个问题，模型层是EntityFramework4.0直接生成的，也就是直接耦合在了DAL层如果Web需要访问模型层，就只有引用DAL，显然这个就不合理了但如如果将模型层从DAL层拆出来，也不妥，因为模型层是EF4直接生成的，如果拆出来，后期数据库有了变化，没法使用自动生成工具更新开始考虑使用partial类的方式，拆到Model层，但是partial类的方式是在编译的时候将多个partial类进行合并编译，而DAL层是前于Model层编译的，所以貌似也不行考虑了使用继承的方式，但是这样做，又发现BLL和Web层，耦合的是子类型，而DAL使用的父类型，感觉在设计和传递上非常别扭，底层传上来的的父类型，BLL接收子类型，又考虑可以在父类型上添加一个扩展方法，这个方法完成父类型到子类型的转换，虽然可以实现，但是觉得太奇怪了，高层代码耦合了比较小的逻辑类型，不妥这个该怎么完美的实现呢，即让Web不耦合DAL层，又可以使用自动代码更新生成工具？谢谢各位大大，指点我一下啊谢谢<br />
<h2>解决方案</h2>
<p>解决方案二：<br />不是可以codefirst吗？</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 09:03:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>如何将Entity Framework 6.0(EF4)中的实体层剥离出来？运用于多层结构的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKq66dp.html" rel="bookmark">如何将Entity Framework 4&period;0&lpar;EF4&rpar;中的实体层剥离出来？运用于多层结构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 问题是这样的我使用了EntityFramework4.0来直接生成数据库操作同时我将项目进行了3层的划分分为表示层-Web业务逻辑层-BLL数据访问层-DAL模型层-Model但是有个问题,模型层是EntityFramework4.0直接生成的,也就是直接耦合在了DAL层如果Web需要访问模型层,就只有引用DAL,显然这个就不合理了但如如果将模型层从DAL层拆出来,也不妥,因为模型层是EF4直接生成的,如果拆出来,后期数据库有了变化,没法使用自动生成工具更新开始考虑使用partial类			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6N8vgM.html" rel="bookmark">Entity Framework 5&period;0系列之EF概览</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概述 在开发面向数据的软件时我们常常为了解决业务问题实体.关系和逻辑构建模型而费尽心机,ORM的产生为我们提供了一种优雅的解决方案.ADO.NET Entity Framework是.NET开发中一种由ADO.NET驱动的ORM框架,使用Entity Framework开发人员可以不必考虑数据的基础数据表和列,在处理数据时能够以更高的抽象级别进行工作,并能够以相对传统开发编写更少的代码来创建和维护应用程序. 我们知道面向对象的编程与数据存储系统的交换提出了一个难题:类结构通常同关系数据表组织结构			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYjZv5p.html" rel="bookmark">Entity Framework 5&period;0系列之Code First数据库迁移</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们知道无论是&quot;Database First&quot;还是&quot;Model First&quot;当模型发生改变了都可以通过Visual Studio设计视图进行更新,那么对于Code First如何更新已有的模型呢?今天我们简单介绍一下Entity Framework的数据迁移功能. Entity Framework配置 在开始今天的话题之前先来看一下Entity Framework的配置,因为有很多朋友因为配置文件的问题造成&quot;Migrations&quot;命令执行失败.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqDWvOb.html" rel="bookmark">Entity Framework问题：ReferentialConstraint 中的依赖属性映射由存储生成的列</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:Entity Framework问题:ReferentialConstraint 中的依赖属性映射由存储生成的列 今天在采用Entity Framework 的Database First反向以及用Code First写的数据库表时,在测试时一直出现以下错误: 情况是这样的: 我有两张表,记主表为A,辅表为B(即外键所在的表,设外键为Id,同时也是表B的主键) 这个问题是因为: 我的表B中的键Id不仅是外键,也具有自增属性,即在建表是用Identity标识之.而这两个功能是矛盾的.一方面,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX2PDAb.html" rel="bookmark">Entity Framework 4&period;0并发处理的步骤</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				新用到了实体框架,用到了并发,参考以下的图书资料 Entity Framework 4.0 Recipes A Problem-Solution Approach ISBN-13 (pbk): 978-1-4302-2703-8 ISBN-13 (electronic): 978-1-4302-2704-5 http://apress.com/book/view/1430227036 具体的步骤如下: 建立模型 添加Ado.net Entity Model后类似如下添加TimeStamp并发控制			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK0YwaM.html" rel="bookmark">Entity Framework 5&period;0基础系列</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:Entity Framework 5.0基础系列 1.Entity Framework简介 http://www.cnblogs.com/aehyok/p/3315991.html 2.Entity Framework DBFirst尝试http://www.cnblogs.com/aehyok/p/3318892.html 3.Entity Framework ModelFirst尝试http://www.cnblogs.com/aehyok/p/3323438.html 4.Entit			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7ZA1Zp.html" rel="bookmark">Entity Framework 5&period;0系列之自动生成Code First代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在前面的文章中我们提到Entity Framework的&quot;Code First&quot;模式也同样可以基于现有数据库进行开发.今天就让我们一起看一下使用Entity Framework Power Tools如何基于现有数据库生成数据类和数据库上下等. Entity Framework Power Tools 基于现有数据库生成POCO数据类和数据库上下文需要借助Visual Studio一个扩展插件-- Entity Framework Power Tools(一个Code First反向工			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2RA1Bb.html" rel="bookmark">Entity Framework 5&period;0系列之数据操作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Entity Framework将概念模型中定义的实体和关系映射到数据源,利用实体框架可以将数据源返回的数据具体化为对象:跟踪对象所做的更改:并发处理:将对象更改传播到数据源等.今天我们就一起讨论如何利用Entity Framework进行查询.插入.更新和删除数据. 查询 我们将使用AdventureWorks数据库来进行今天的所有演示,因此开始之前请准备好相应的数据库.在EF中进行查询应该说是相当简单,只需要定义一个类继承于&quot;DbContext&quot;,然后定义对应的&quot;DbSe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOwVZQz.html" rel="bookmark">Entity Framework 4&period;0新增对T-SQL的支持</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				EF4.0中新增了ExecuteStoreQuery,ExecuteStoreCommand,ExecuteFunction等方法,完美支持T- SQL 之前在EF中用Linq进行left join查询和报表数据查询简直是一场噩梦,以下代码就是例子: Linq左连接查询N张表示例代码 1 public List&lt;Info&gt; getMapUnitList(int MapId) 2 { 3 var var1 = from mu in epm.MapUnit 4 join us in epm.Uni			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaq52b.html" rel="bookmark" class="title">技术干货：使用静态缓存提升网站性能的五种方法！</a>
					<div>
						本文作者: 乔锐杰 现担任上海驻云信息科技有限公司运维总监/架构师.曾任职过黑客讲师.java软件工程师/网站架构师.高级运维.阿里云架构师等职位.维护过上千台服务器,主导过众安保险.新华社等千万级上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMN324p.html" rel="bookmark" class="title">信息型搜索关键词</a>
					<div>
						一个网站的关键词,分为三种:导航型搜索关键词.信息型搜索关键词和交易型搜索关键词.这篇文章,我们来说说信息型搜索关键词布局. 一.信息型搜索的目的是什么: 一般来说,搜索这类词的人,对他们所搜索的产品 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkDX7z.html" rel="bookmark" class="title">2000-2007，我的建站经历</a>
					<div>
						我的学历不高,初中毕业.开始接触电脑网络是在1999年,相当长时间内基本上都是上网聊天和玩游戏.那时候拥有个人主页,是一件值得炫耀的事情,于是在2000年下半年,我买了几本制作网页方面的书籍,在网易申 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2DDkp.html" rel="bookmark" class="title">使用Fireworks制作Logo心得和体会</a>
					<div>
						心得 我写这篇文章, 主要目的是为了刚开始学习制作网页的朋友,提供一些帮助,希望他们能少走弯路,掌握制作LOGO的方法和技巧:在此,本人把自己制作LOGO的心得体会送上, 并希望每一位网页爱好者,能有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMl5QOp.html" rel="bookmark" class="title">C&sol;C&plus;&plus;误区三：强制转换 malloc&lpar;&rpar; 的返回值</a>
					<div>
						首先要说的是,使用 malloc 函数,请包含 stdlib.h(C++ 中是 cstdlib) ,而不是 malloc.h .因为 malloc.h 从来没有在 C 或者 C++ 标准中出现过! 因 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxOXZb.html" rel="bookmark" class="title">基于J2EE网银系统的安全系统解决方案概述</a>
					<div>
						简介:本文介绍网络银行所普遍采用的安全技术和方案,将从数据和业务逻辑的两个角度详细地分析一般网络银行系统的安全需求,并据此引入以 PPDRR 为安全模型的安全设计方案.通过阅读本文,读者不但可以了解网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91vLVM.html" rel="bookmark" class="title">java的输入流</a>
					<div>
						当然,我们经常想做的一件事情是将格式化的输出打印到控制台,但那已在第5章创建的com.bruceeckel.tools中得到了简化. 第1到第4部分演示了输入流的创建与使用(尽管第4部分展示了将输出流 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvK71Vp.html" rel="bookmark" class="title">JSP数据和JavaScript数据交互使用的实现</a>
					<div>
						对于WEB程序来说,前端(JavaScript)和后端(JSP/Servlet)是没法共用数据的,只能是后端程序(JSP)把数据输出,生成页面到前端,这时候生成的页面中的JavaScript代码才有可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRgO8z.html" rel="bookmark" class="title">Pentium III处理器的单指令多数据流扩展指令（3）</a>
					<div>
						概要 : 随着Intel Pentium III处理器的发布,给程序设计人员又带来了许多新的特性.利用这些新特性,程序员可以为用户创造出更好的产品. Pentium III和Pentium III X ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrXy8p.html" rel="bookmark" class="title">asp html转成html编码程序</a>
					<div>
						function htmlencode2(str)     dim result     dim l     if isNULL(str) then        htmlencode2=&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBaJAb.html" rel="bookmark" class="title">Python自动调用IE打开某个网站的方法</a>
					<div>
						  本文实例讲述了Python自动调用IE打开某个网站的方法.分享给大家供大家参考.具体实现方法如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxaq2b.html" rel="bookmark" class="title">信号屏蔽器如何解除屏蔽</a>
					<div>
						  信号屏蔽器是啥东西相信大家都知道,最常见的其实是在考场.嘿嘿,至于小编接下来要说些啥相信大家都懂的.尤其是对于那些考试挂了科的孩子,可以进来看看.不过不要告诉别人,自己偷偷知道就好了. 方法一:号 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLLPmb.html" rel="bookmark" class="title">Windows 10开始菜单变化一览 经典功能再升级</a>
					<div>
						  微软的windows 8存在许许多多的问题,其中最遭人诟病的一个当属开始菜单的移除了.在意识到用户还无法适应如此巨大的变化之后,微软又在最新的Windows 10操作系统当中带回了该功能,并使其成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBBPVz.html" rel="bookmark" class="title">站长分享如何利用问答平台优化网站的四步曲</a>
					<div>
						问答平台一直是seoer青睐的外链平台,其权重高.收录好已经成为公认的优势之处,但是近段时间以来,问答平台的外链已经越来越难做了,但是这么好的一个外链平台,相信seoer还是舍不得放弃的,笔者也是如此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywkOlz.html" rel="bookmark" class="title">JPDA&num;3：实现代码的HotSwap</a>
					<div>
						JPDA系列: JPDA#1:使用JDI写一个调试器 JPDA#2:架构源码浅析 redefineClasses JPDA提供了一个API,VirtualMachine#redefineClasses ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvrr5rM.html" rel="bookmark" class="title">pg&lowbar;resetxlog整理及测试</a>
					<div>
						pg_resetxlog说明 pg_resetxlog,用来重置/清空一个数据库集群的预写日志以及其它控制内容,其中控制内容由命令pg_controldata可以查看,而内容的来源则是位于$PGDAT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLm06vz.html" rel="bookmark" class="title">查看Linux内核版本---lsb&lowbar;release</a>
					<div>
						lsb_release命令  LSB是Linux Standard Base的缩写,lsb_release命令用来显示LSB和特定版本的相关信息,可通过yum -y install redhat-ls ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJA9RVp.html" rel="bookmark" class="title">oracle-在centos下安装Oracle，怎么安装缺省的rpm包？要详细一些</a>
					<div>
						问题描述 在centos下安装Oracle,怎么安装缺省的rpm包?要详细一些 在centos下安装Oracle,怎么安装缺省的rpm包?要详细一些 解决方案 可以参考以下链接 在CentOS 6.5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZyvXp.html" rel="bookmark" class="title">《中国人工智能学会通讯》&mdash;&mdash;9&period;12 集成学习中的挑战性问题及解决方法</a>
					<div>
						9.12 集成学习中的挑战性问题及解决方法 然而,传统的集成学习算法,特别是聚类集成算法,在集成器成员选择.聚类结果融合.集成器参数优化等方面还存在一些亟待解决的科学问题(见图 4): ① 集成器存在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnjjoM.html" rel="bookmark" class="title">我们都是孤独的旅行者</a>
					<div>
						早早的定好了到上海的票,却在出发的时候一推再推,我们不想行走,尤其不想离开我们最习惯和熟悉的地方,说起习惯和熟悉,倒不如说是带给我们安全感的地方.但活着,或许从你学会走路的那一刻起,你就注定了必须学会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgX5kM.html" rel="bookmark" class="title">使用sql语句，去掉字符串里面的多个括号中的字符串</a>
					<div>
						问题描述 使用sql语句,去掉字符串里面的多个括号中的字符串 比如说,源串是 adgdg[ewrerw]fdafda[2323][244]fdfd, 希望执行语句后得到的是 adgdgfdafdafd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7nO3z.html" rel="bookmark" class="title">数据结构算法设计： 请设计一个算法，统计一个循环单链表L中的结点个数。</a>
					<div>
						问题描述 数据结构算法设计: 请设计一个算法,统计一个循环单链表L中的结点个数. 算法设计: 请设计一个算法,统计一个循环单链表L中的结点个数. 解决方案 int n = 0; while (L != ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBen4z.html" rel="bookmark" class="title">c&plus;&plus;-C&plus;&plus; 6&period;0按照结构体数组中多个字段的排序</a>
					<div>
						问题描述 C++ 6.0按照结构体数组中多个字段的排序 用系统库函数怎么实现?传函数指针么?但是多个条件没办法传函数指针的,用冒泡排序行么 解决方案 自己写一个比较器,作为参数传给qsort 大概的写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLkvNM.html" rel="bookmark" class="title">ASP&period;NET MVC 音乐商店 - 2&period;控制器</a>
					<div>
						转自http://www.cnblogs.com/haogj/archive/2011/11/10/2241824.html 在典型的 Web 应用中,用户请求的 URL 地址通常映射到保存在网站中的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnwokp.html" rel="bookmark" class="title">百度公布二季度财报：移动端营收占比达三成</a>
					<div>
						每经记者 冯海超 发自北京 7月25日,百度发布了2014财年第二季度财报,公司业绩超过了华尔街分析师预期,股价升至年度最高点. 百度发布的财报显示,今年第二季度,公司总营收为119.86亿元人民币( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Qo4XM.html" rel="bookmark" class="title">jquery笔记之点击按钮隐藏标签和显示标签</a>
					<div>
						 代码如下 复制代码 &lt;meta content=&quot;text/html; charset=utf-8&quot; http-equiv=&quot;Content-Type&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKrJ4M.html" rel="bookmark" class="title">java-求教怎么用mingw编译出64bit的dll</a>
					<div>
						问题描述 求教怎么用mingw编译出64bit的dll 今天折腾了一天的JNI 了,我的机器是win7 64bit的,jvm也是64bit的,没有VS,所以用MinGW把C编译成dll,经过今天的折腾 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8yAmp.html" rel="bookmark" class="title">互联网&plus;政务服务 大数据如何发力</a>
					<div>
						&lt;政府工作报告&gt;提出推进&quot;互联网+政务服务&quot;,要求实现部门间数据共享,让居民和企业少跑腿.好办事.不添堵.&quot;互联网++政务服务&quot;落地关键在于政府数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZO5vb.html" rel="bookmark" class="title">c语言-求大神，c&plus;&plus;的问题，目的类似于求反</a>
					<div>
						问题描述 求大神,c++的问题,目的类似于求反 #include using namespace std; void num_deal(int &amp;m); int main() { cout&l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKGQWM.html" rel="bookmark" class="title">【Swift】iOS开发历险记（二）</a>
					<div>
						前言 这个系列主要是一些开发中遇到的坑记录分享,有助于初学者跨过这些坑,攒够 7 条发一篇.    声明  欢迎转载,但请保留文章原始出处:)  博客园:http://www.cnblogs.com  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
